<script setup lang="ts">
import { ref, computed, watch, provide } from 'vue'
import { useReceiptStore } from '@/stores/receipt'
import ReceiptDialog from './ReceiptDialog.vue'
const receiptStore = useReceiptStore()
const dialogReceipt = ref(false)

provide('receiptDialog', dialogReceipt)
</script>

<template>
  <v-row>
    <v-dialog v-model="receiptStore.QRpaymentDialog" persistent width="800">
      <template v-slot:activator="{ props }">
        <v-col cols="6">
          <v-img src="/img/pos/พร้อมเพย์.png" contain class="align-right" variant="plain" elevation="4"
            size="Medium" block style="box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); border-radius: 8px; margin: auto"
            v-bind="props" @click="
              (receiptStore.selectPaymentOption = 'promptpay'),
              (receiptStore.receipt!.change = 0),
                (dialogReceipt = true)
            "></v-img>
        </v-col>
      </template>

      <v-card>
        <v-card-title>
          <span class="text-h5">QR Scan</span>
        </v-card-title>
        <v-card-text>
          <v-container>
            <v-row class="d-flex justify-center">
              <v-col cols="12" sm="6">
                <v-img src="/img/pos/QRcode.jpg"></v-img>
              </v-col>
            </v-row>
          </v-container>
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn variant="text" @click="
              () => {
                receiptStore.QRpaymentDialog = false
              }
            ">
            กลับ
          </v-btn>
          <ReceiptDialog v-model:modelValue="dialogReceipt" :receipt="receiptStore.receipt!"
            :receiptItems="receiptStore.receiptItems" @save="
              () => {
                receiptStore.receipt!.paymentType = 'promtpay'
                receiptStore.receiptOrder()
              }
            "></ReceiptDialog>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>

<style scoped>
.v-btn {
  background-color: #ffcb5e;
  border-radius: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: black;
}

.square-button {
  border-radius: 0;
  background-color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  color: black;
}

.align-center {
  margin: auto;
}
</style>
